Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
Setup PHP and Composer on OSX via Brew

First install Brew on your MAC

  • Setup Brew: ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
  • brew update
  • brew tap homebrew/dupes
  • brew tap homebrew/php
  • Install PHP 7.0.+ brew install php70
  • Install mcrypt: brew install mcrypt php70-mcrypt
  • Finally, install composer: brew install composer

Now if you run $ php -v, you will get PHP 5.5 or something. This is the default PHP version that is shipped with OSX and cannot be removed. You just need to edit your path to ensure that PHP 7.0 is picked up.

export PATH="$(brew --prefix homebrew/php/php70)/bin:$PATH"

To debug any issue with any package, you can run brew info php70 etc.

Also, if you are getting seemingly unrelated errors, make sure to update bash/zsh: brew upgrade bash and brew upgrade zsh.

If everything is setup correctly, running $ php -v should give you 7.0.+.

@adibpwd
Copy link

adibpwd commented Dec 5, 2021

i want to install laravel with composer, but i have error, could not found composer.json, why?
Screen Shot 2021-12-05 at 10 42 15
Screen Shot 2021-12-05 at 10 42 36

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment